var modal_guardar = {
    title: "Guardar",
    content: "¿Deseas guardar el archivo?",
    icon: "glyphicon glyphicon-question-sign",
    buttons: {
        ok: {
            text: "Guardar",
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextyellow nextyellow',
            keys: ['enter'],
            action: function () {
                Editor.accionGuardar();
            }
        },
        cancel: {
            text: "Cancelar",
            action: function () {}
        }
    }
}

var modal_borrar = {
    title: "Borrar",
    content: "¿Deseas borrar el archivo?",
    icon: "glyphicon glyphicon-question-sign",
    buttons: {
        ok: {
            text: "Borrar",
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextred nextred',
            keys: ['enter'],
            action: function () {
                Editor.accionBorrar();
            }
        },
        cancel: {
            text: "Cancelar",
            action: function () {}
        }
    }
}

var modal_cerrar = {
    title: "Cerrar",
    content: "¿Deseas cerrar el archivo?",
    icon: "glyphicon glyphicon-question-sign",
    buttons: {
        ok: {
            text: "Cerrar",
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextyellow nextyellow',
            keys: ['enter'],
            action: function () {
                Editor.accionCerrar('text');
            }
        },
        cancel: {
            text: "Cancelar",
            action: function () {}
        }
    }
}

var modal_borrar_directorio = {
    title: "Borrar Directorio",
    content: "¿Deseas borrar el directorio?",
    icon: "glyphicon glyphicon-question-sign",
    buttons: {
        ok: {
            text: "Borrar",
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextred nextred',
            keys: ['enter'],
            action: function () {
                Editor.accionRmdir();
            }
        },
        cancel: {
            text: "Cancelar",
            action: function () {}
        }
    }
}

var nuevo_copiar_archivo = {
    title: "Copiar Archivo",
    content: '' +
        '<form action="" class="formName1">' +
        '<div class="form-group">' +
        '<label>Ingresa Nombre del Archivo </label>' +
        '<input type="text" id="nombre_archivo_copiar" placeholder="Nombre del archivo de destino" class="name form-control" required>' +
        '</div>' +
        '</form>',
    icon: "glyphicon glyphicon-question-sign",
    columnClass: 'col-md-offset-6 col-md-12',
    containerFluid: true,
    onContentReady: function () {
        // bind to events
        var jc = this;
        this.$content.find('form').on('submit', function (e) {
            // if the user submits the form by pressing enter in the field.
            e.preventDefault();
            jc.$$ok.trigger('click'); // reference the button and click it
        });
    },
    buttons: {
        ok: {
            keys: ['enter'],
            text: "Copiar",
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextgreen nextgreen',
            action: function () {
                var nombre_archivo_copiar = $('#nombre_archivo_copiar').val();
                if (!nombre_archivo_copiar) {
                    $.alert({
                        type: 'red',
                        icon: "glyphicon glyphicon-remove-circle",
                        title: "Error",
                        content: 'Ingresa un nombre válido',
                        columnClass: 'medium'
                    });
                    return false;
                } else {
                    Editor.accionCopiar(nombre_archivo_copiar);
                }
            }

        },
        cancel: {
            text: "Cancelar",
            action: function () {}
        }
    }
}

var nuevo_crear_directorio = {
    title: "Crear directorio",
    content: '' +
        '<form action="" class="formName2">' +
        '<div class="form-group">' +
        '<label>Ingresa Directorio</label>' +
        '<input type="text" id="nombre_carpeta" placeholder="Nombre del directorio" class="name form-control" required>' +
        '</div>' +
        '</form>',
    icon: "glyphicon glyphicon-question-sign",
    columnClass: 'col-md-offset-6 col-md-12',
    containerFluid: true,
    onContentReady: function () {
        // bind to events
        var jc = this;
        this.$content.find('form').on('submit', function (e) {
            // if the user submits the form by pressing enter in the field.
            e.preventDefault();
            jc.$$ok.trigger('click'); // reference the button and click it
        });
    },
    buttons: {
        ok: {
            text: "Crear",
            keys: ['enter'],
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextgreen nextgreen',
            action: function () {
                var nombre_carpeta = $('#nombre_carpeta').val();
                if (!nombre_carpeta) {
                    $.alert({
                        type: 'red',
                        icon: "glyphicon glyphicon-remove-circle",
                        title: "Error",
                        content: 'Ingresa un nombre válido',
                        columnClass: 'medium'
                    });
                    return false;
                } else {
                    Editor.accionMkdir(nombre_carpeta);
                }
            }
        },
        cancel: {
            text: "Cancelar",
            action: function () {}
        }
    }
}

var nuevo_nuevo_archivo = {
    title: "Crear archivo",
    content: '' +
        '<form action="" class="formName3">' +
        '<div class="form-group">' +
        '<label>Ingresa Nombre del Archivo:</labelace>' +
        '<input type="text" id="nombre_nuevo_archivo" placeholder="Nombre del Archivo" class="name form-control" required>' +
        '</div>' +
        '</form>',
    icon: "glyphicon glyphicon-question-sign",
    columnClass: 'col-md-offset-6 col-md-12',
    containerFluid: true,
    onContentReady: function () {
        // bind to events
        var jc = this;
        this.$content.find('form').on('submit', function (e) {
            // if the user submits the form by pressing enter in the field.
            e.preventDefault();
            jc.$$ok.trigger('click'); // reference the button and click it
        });
    },
    buttons: {
        ok: {
            text: "Crear",
            keys: ['enter'],
            btnClass: 'hovwhite radius15 noborder txtnextwhite pad-top-bot7 pad-lef-rig20 int-nextgreen nextgreen',
            action: function () {
                var nombre_nuevo_archivo = $('#nombre_nuevo_archivo').val();
                if (!nombre_nuevo_archivo) {
                    $.alert({
                        type: 'red',
                        icon: "glyphicon glyphicon-remove-circle",
                        title: "Error",
                        content: 'Ingresa un nombre válido',
                        columnClass: 'medium'
                    });
                    return false;

                } else if (nombre_nuevo_archivo.match(/\./)) {
                    Editor.accionNuevo(nombre_nuevo_archivo);
                } else {
                    $.alert({
                        type: 'red',
                        icon: "glyphicon glyphicon-remove-circle",
                        title: "Error",
                        content: 'Ingresa una extensión válida',
                        columnClass: 'medium'
                    });
                    return false;
                }
            }
        },
        cancel: {
            text: "Cancelar",
            action: function () {}
        }
    }
}
