var UrlF5Artic = {
    ajax_request: null,
    timeout: 0,
    init: function () {
        UrlF5Artic.methods.bindEvents();

        // Al iniciar se sugiere una url siempre si es que no existe nada en el input.
        if ($('#_url').val() == '') {
            UrlF5Artic.actions.makeUrl();
        } else {
            $('#_url').removeAttr("readonly");
        }
    },
    methods:  {
        bindEvents: function () {
            $('#_reseturlf5').on('click', function (e) {
                e.preventDefault();
                e.stopPropagation();
                UrlF5Artic.actions.makeUrl();
            });
            $('.urlf5-input').off('keyup').on('keyup', function () {
                // quitar caracteres no validos
                document.getElementById('_url').value = document.getElementById('_url').value.replace(/[^a-zA-Z0-9\-\/_.]+/g, '');
                // chequear url despues de que se termino de escribir
                clearTimeout(UrlF5Artic.timeout);
                if (UrlF5Artic.ajax_request != null) {
                    UrlF5Artic.ajax_request.abort();
                }
                UrlF5Artic.timeout = setTimeout(UrlF5Artic.actions.checkFriendlyUrl, 500, UrlF5Artic.actions.showUrlStatus);
            });
        }
    },
    actions: {
        showUrlStatus: function(response) {
            if (response.res > 0) {
                $('#f5-alert .message').html('<span class="glyphicon glyphicon-alert btn_ticket_red"></span> La URL ya esta en uso.');
                $('#f5-alert').fadeIn();
            } else {
                document.getElementById('_url').value = response.url;
                if (response.type == 'artic' && response.ts == mainFidJs.TS) {
                    // articulo y mismo ts, oculta mensaje
                    $('#f5-alert').fadeOut();
                    return;
                }
                if (response.prefix != '') {
                    $('#f5-alert .message').html('La URL es correcta y se puede usar. (<span class="glyphicon glyphicon-exclamation-sign"></span> Prefijo de url activado. Todas las url comenzarán con "' + response.prefix + '" ).');
                } else {
                    $('#f5-alert .message').html('La URL es correcta y se puede usar.');
                }
                $('#f5-alert').fadeIn();
            }
        },
        makeUrl: function () {
            $('#_url').attr("readonly", "readonly");
            var titular = $('#_txt_titular').val();
            var seccion1_id = $('select[name="_seccion1"] option:selected').val();
            var seccion1 = $('select[name="_seccion1"] option:selected').text();
            var tema1 = $('select[name="_tema1"] option:selected').text();
            var tema1_id = $('select[name="_tema1"] option:selected').val();
            var subtema1 = $('select[name="_subtema1"] option:selected').text();
            var subtema1_id = $('select[name="_subtema1"] option:selected').val();

            if (seccion1_id == '0') seccion1 = '';
            if (tema1_id == '0') tema1 = '';
            if (subtema1_id == '0') subtema1 = '';

            var data = {
                _prontus_id: Admin.prontus_id,
                _titular: titular,
                _seccion: seccion1,
                _tema: tema1,
                _subtema: subtema1,
                _ts: mainFidJs.TS
            };

            $.ajax({
                url: '/' + Admin.dir_cgi_cpn + '/urlf5/prontus_urlf5_make_art_url.cgi',
                type: 'POST',
                dataType: 'json',
                data: data,
                success: function (response) {
                    if (response.status == 1) {
                        var old_url = $('#_url').val();
                        $('#_url').val(response.msg);

                        if (response.msg != old_url) {
                            $('#_url').trigger('keyup');
                        }
                    }

                    $('#_url').removeAttr("readonly");
                },
                error: function(xhr, ajaxOptions, thrownError) {
                    console.log(xhr, ajaxOptions, thrownError);
                }
            });

        },
        checkFriendlyUrl: function (callback) {
            var url = document.getElementById('_url').value;
            var data = {
                url: url,
                _ts: mainFidJs.TS,
                _prontus_id: Admin.prontus_id
            };

            UrlF5Artic.ajax_request = $.ajax({
                url: '/' + Admin.dir_cgi_cpn + '/prontus_check_friendly.cgi',
                type: 'POST',
                dataType: 'json',
                data: data,
                beforeSend: function () {
                    if (UrlF5Artic.ajax_request != null) {
                        UrlF5Artic.ajax_request.abort();
                    }
                },
                success: function (response) {
                    if (response.status == 0) {
                        showModalAlert({
                            title: 'Error',
                            type: 'red',
                            msg: response.msg
                        });
                    } else {
                        callback(response);
                    }
                },
                error: function(xhr, ajaxOptions, thrownError) {
                    console.log(xhr, ajaxOptions, thrownError);
                    if (thrownError != 'abort') {
                        showModalAlert({
                            title: 'Error',
                            type: 'red',
                            msg: thrownError
                        });
                    }
                }
            });
        }
    }
};

$(document).ready(function () {
    UrlF5Artic.init();
});
